      # use QuickTime to screen record
      def mac_screen_record
        %x(osascript << EOF
                        tell application "QuickTime Player" to activate
                        tell application "System Events"
                          tell process "QuickTime Player"
                            keystroke "n" using {control down, command down}
                            keystroke space
                          end tell
                        end tell
EOF)
      end
      #menu item
      cmd = UI::Command.new("mac_scrnRec") { mac_screen_record }
      cmd.tooltip = cmd.status_bar_text = "screen record using QuickTime"
      cmd.large_icon = cmd.small_icon = "/Applications/QuickTime Player.app/Contents/Resources/QuickTimePlayerX.icns"
      # create toolbar
      tb = UI::Toolbar.new "Screen Record"
      tb.add_item cmd
      #showing the toolbar
      (tb.get_last_state == -1) ? tb.show : tb.restore
